Home page logo
/

fulldisclosure logo Full Disclosure mailing list archives

[Security-news] SA-CONTRIB-2012-086 - Amadou - Cross Site Scripting
From: security-news () drupal org
Date: Wed, 30 May 2012 20:23:24 +0000 (UTC)

View online: http://drupal.org/node/1608780

  * Advisory ID: DRUPAL-SA-CONTRIB-2012-086
  * Project: Amadou [1] (third-party theme)
  * Version: 6.x
  * Date: 2012-May-30
  * Security risk: Moderately critical [2]
  * Exploitable from: Remote
  * Vulnerability: Cross Site Scripting

-------- DESCRIPTION  
---------------------------------------------------------

The Amadou theme outputs additional first and last classes to the list of
links to help out themers. This was being done in a way that was not secure.

A Cross Site Scripting (XSS) vulnerability was identified in Amadou theme's
themes_links() function in the template.php file, which was fixed in the
theme_links() function in Drupal 6.3 as noted in (SA-2008-044
http://drupal.org/node/280571 [3]).

CVE: Requested

-------- VERSIONS AFFECTED  
---------------------------------------------------

  * Amadou 6.x-1.x versions prior to 6.x-1.3.

Drupal core is not affected. If you do not use the contributed Amadou [4]
theme, there is nothing you need to do.

-------- SOLUTION  
------------------------------------------------------------

Install the latest version:

  * If you use the Amadou theme for Drupal 6.x, upgrade to Amadou 6.x-1.3 [5].

If you have created a custom theme with Amadou or are using Amadou as a base
theme, please see below for a manual fix:

The offending code on line 77 in the original template.php file:
$output .= '';

Should be replaced with the following code:
$output .= '
  * $class)) .'>';

Also see the Amadou [6] project page.

-------- REPORTED BY  
---------------------------------------------------------

  * Peter Wolanin [7] and Matt Chapman [8] of the Drupal Security Team

-------- FIXED BY  
------------------------------------------------------------

  * Jason Moore [9], Amadou theme maintainer
  * Matt Chapman [10] of the Drupal Security Team

-------- COORDINATED BY  
------------------------------------------------------

  * Matt Chapman [11] of the Drupal Security Team

-------- CONTACT AND MORE INFORMATION  
----------------------------------------

The Drupal security team can be reached at security at drupal.org or via the
contact form at http://drupal.org/contact [12].

Learn more about the Drupal Security team and their policies [13], writing
secure code for Drupal [14], and securing your site [15].


[1] http://drupal.org/project/amadou
[2] http://drupal.org/security-team/risk-levels
[3] http://drupal.org/node/280571
[4] http://drupal.org/project/amadou
[5] http://drupal.org/node/1608730
[6] http://drupal.org/project/amadou
[7] http://drupal.org/user/49851
[8] http://drupal.org/user/143172
[9] http://drupal.org/user/149225
[10] http://drupal.org/user/143172
[11] http://drupal.org/user/143172
[12] http://drupal.org/contact
[13] http://drupal.org/security-team
[14] http://drupal.org/writing-secure-code
[15] http://drupal.org/security/secure-configuration

_______________________________________________
Security-news mailing list
Security-news () drupal org
http://lists.drupal.org/mailman/listinfo/security-news

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/


  By Date           By Thread  

Current thread:
  • [Security-news] SA-CONTRIB-2012-086 - Amadou - Cross Site Scripting security-news (May 30)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault